## org.codehaus.groovy.ast
Class GenericsType

This class is used to describe generic type signatures for ClassNodes.

author:
  Jochen Theodorou

see:
  ClassNode

Field Summary
`ClassNode` | `lowerBound`
`String` | `name`
`boolean` | `placeholder`
`boolean` | `resolved`
`ClassNode` | `type`
`def` | `upperBounds`
`boolean` | `wildcard`

Constructor Summary
`GenericsType(ClassNode type, def upperBounds, ClassNode lowerBound)`
`GenericsType(ClassNode basicType)`

Method Summary
`ClassNode` | `getLowerBound()`
`String` | `getName()`
`ClassNode` | `getType()`
`def` | `getUpperBounds()`
`boolean` | `isPlaceholder()`
`boolean` | `isResolved()`
`boolean` | `isWildcard()`
`void` | `setName(String name)`
`void` | `setPlaceholder(boolean placeholder)`
`void` | `setResolved(boolean res)`
`void` | `setType(ClassNode type)`
`void` | `setWildcard(boolean wildcard)`
`String` | `toString()`

Constructor Detail

### GenericsType

    public GenericsType(ClassNode type, def upperBounds, ClassNode lowerBound)

### GenericsType

    public GenericsType(ClassNode basicType)

Method Detail

### getLowerBound

    public ClassNode getLowerBound()

### getName

    public String getName()

### getType

    public ClassNode getType()

### getUpperBounds

    public def getUpperBounds()

### isPlaceholder

    public boolean isPlaceholder()

### isResolved

    public boolean isResolved()

### isWildcard

    public boolean isWildcard()

### setName

    public void setName(String name)

### setPlaceholder

    public void setPlaceholder(boolean placeholder)

### setResolved

    public void setResolved(boolean res)

### setType

    public void setType(ClassNode type)

### setWildcard

    public void setWildcard(boolean wildcard)

### toString

    public String toString()